Author: Sergei Golovan
Description: Patch fixes the declarated function prototype to make the source compilable with GCC 11.
Last-Modified: Mon, 11 Oct 2021 09:31:46 +0300
Bugs-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=984413

--- a/c_src/wings_pick_nif.c
+++ b/c_src/wings_pick_nif.c
@@ -27,7 +27,7 @@
 
 /* Declarations of internal functions */
 static ERL_NIF_TERM pick(float* vertices, unsigned stride, unsigned num_tris,
-                         float* m, int, int, int,
+                         float m[16], int, int, int,
                          ErlNifEnv* env);
 static void mul(vertex* out, float x, float y, float z, float m[16]);
 static void intersection(vertex* out, vertex* prev_vp, vertex* cur_vp,
